org.keycloak.models.jpa.entities

## Class ApplicationEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.ClientEntity
  - - org.keycloak.models.jpa.entities.ApplicationEntity

-     @Entity
      public class ApplicationEntity
      extends ClientEntity

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.jpa.entities.ClientEntity

      `attributes, realm, redirectUris, webOrigins`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBaseUrl()`
    `Collection<RoleEntity>` | `getDefaultRoles()`
    `String` | `getManagementUrl()`
    `int` | `getNodeReRegistrationTimeout()`
    `Map<String,Integer>` | `getRegisteredNodes()`
    `Collection<RoleEntity>` | `getRoles()`
    `boolean` | `isBearerOnly()`
    `boolean` | `isSurrogateAuthRequired()`
    `void` | `setBaseUrl(String baseUrl)`
    `void` | `setBearerOnly(boolean bearerOnly)`
    `void` | `setDefaultRoles(Collection<RoleEntity> defaultRoles)`
    `void` | `setManagementUrl(String managementUrl)`
    `void` | `setNodeReRegistrationTimeout(int nodeReRegistrationTimeout)`
    `void` | `setRegisteredNodes(Map<String,Integer> registeredNodes)`
    `void` | `setRoles(Collection<RoleEntity> roles)`
    `void` | `setSurrogateAuthRequired(boolean surrogateAuthRequired)`

    - ### Methods inherited from class org.keycloak.models.jpa.entities.ClientEntity

      `getAllowedClaimsMask, getAttributes, getId, getName, getNotBefore, getProtocol, getRealm, getRedirectUris, getSecret, getWebOrigins, isEnabled, isFullScopeAllowed, isPublicClient, setAllowedClaimsMask, setAttributes, setEnabled, setFullScopeAllowed, setId, setName, setNotBefore, setProtocol, setPublicClient, setRealm, setRedirectUris, setSecret, setWebOrigins`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationEntity

          public ApplicationEntity()

  - ### Method Detail

    - #### isSurrogateAuthRequired

          public boolean isSurrogateAuthRequired()

    - #### setSurrogateAuthRequired

          public void setSurrogateAuthRequired(boolean surrogateAuthRequired)

    - #### getBaseUrl

          public String getBaseUrl()

    - #### setBaseUrl

          public void setBaseUrl(String baseUrl)

    - #### getManagementUrl

          public String getManagementUrl()

    - #### setManagementUrl

          public void setManagementUrl(String managementUrl)

    - #### getRoles

          public Collection<RoleEntity> getRoles()

    - #### setRoles

          public void setRoles(Collection<RoleEntity> roles)

    - #### getDefaultRoles

          public Collection<RoleEntity> getDefaultRoles()

    - #### setDefaultRoles

          public void setDefaultRoles(Collection<RoleEntity> defaultRoles)

    - #### isBearerOnly

          public boolean isBearerOnly()

    - #### setBearerOnly

          public void setBearerOnly(boolean bearerOnly)

    - #### getNodeReRegistrationTimeout

          public int getNodeReRegistrationTimeout()

    - #### setNodeReRegistrationTimeout

          public void setNodeReRegistrationTimeout(int nodeReRegistrationTimeout)

    - #### getRegisteredNodes

          public Map<String,Integer> getRegisteredNodes()

    - #### setRegisteredNodes

          public void setRegisteredNodes(Map<String,Integer> registeredNodes)

Copyright © 2015. All Rights Reserved.